from setuptools import setup


setup(
    name='curling',
    version='0.3.9.3',
    description='Slumber wrapper for Django that works for us at Mozilla',
    long_description=open('README.rst').read(),
    author='Andy McKay',
    author_email='andym@mozilla.com',
    license='BSD',
    # If you want to do dev or tests, checkout the requirements in the
    # requirements folder, which are slighltyl different. This is the
    # minimum needed to do requests.
    install_requires=['argparse', 'requests>=1.2.0', 'PyJWT-mozilla',
                      'mock', 'slumber>=0.5.3', 'pygments',
                      'oauth2>=1.5.211', 'httplib2'],
    packages=['curling'],
    url='https://github.com/andymckay/curling',
    include_package_data=True,
    zip_safe=False,
    classifiers=[
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Framework :: Django'
    ],
    entry_points={
        'console_scripts': [
            'curling = curling.command:main'
        ]
    }
)
